import { BaseEvent as i } from "./accelbyte-widgets333.mjs";
var r = /* @__PURE__ */ ((t) => (t.requestAccountHistoryOfflineError = "requestAccountHistoryOfflineError", t.clearNotification = "clearNotification", t))(r || {});
class e extends i {
  constructor() {
    super(...arguments), this._ = r;
  }
  requestAccountHistoryOfflineError(o) {
    this.emit("requestAccountHistoryOfflineError", o);
  }
  clearNotification() {
    this.emit("clearNotification", void 0);
  }
}
const n = new e();
export {
  n as AccountHistoryEvent
};
